Subject: Re: [bug#52555] [RFC PATCH v2 0/5] Decentralized substitute distribution with ERIS

From: Maxime Devos <[email-masked]>
Date: Sat, 29 Jan 2022 22:08:36 +0100

pukkamustard schreef op di 25-01-2022 om 19:21 [+0000]:
> I will be looking into the HTTP fallback and also using BitTorrent and GNUNet
> as transports.

I have been writing a (Guile) Scheme port of GNUnet's client libraries
(https://git.gnunet.org/gnunet-scheme.git/).  Currently only NSE is
supported, but I'm working on DHT.  DHT search/put already works to a
degree (see examples/web.scm), but there are plenty of sharp edges
(see TODOs about disconnecting, reconnecting and stopping fibers,
and see guix.scm for Guile bugs that are patched out and extra guile-
fibers features).

Tests are being written a edge cases will be addressed.

Greetings,
Maxime.